Bug 159702 - Select folder doesn't allow to browse hidden directories
Summary: Select folder doesn't allow to browse hidden directories
Status: RESOLVED FIXED
Alias: None
Product: kdelibs
Classification: Frameworks and Libraries
Component: general (show other bugs)
Version: unspecified
Platform: Compiled Sources Linux
: NOR normal
Target Milestone: ---
Assignee: kdelibs bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-03-22 18:43 UTC by FiNeX
Modified: 2008-04-27 12:58 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:
Sentry Crash Report:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description FiNeX 2008-03-22 18:43:41 UTC
Version:           Revision 788178 (using Devel)
Installed from:    Compiled sources
OS:                Linux

The Select folder dialog doesn't allow to browse hidden directories.

For example goto systemsettings->about me->paths and try to change paths using the select folder dialog. You will be only able to select visible directories.
Comment 1 Anne-Marie Mahfouf 2008-03-22 18:52:30 UTC
Confirmed. As the Autostart folder is a hidden folder, it seems weird not to be able to see those. 
I don't have time to look into it right now though, the KFileDialog probably has a way to set the dialog so the hidden folders are shown.
Comment 2 Tobias Koenig 2008-04-25 07:07:13 UTC
SVN commit 800882 by tokoe:

Add action to enable showing hidden folders as it was in KDE3

BUG: 159702


 M  +15 -0     kfiletreeview.cpp  
 M  +3 -0      kfiletreeview.h  


WebSVN link: http://websvn.kde.org/?view=rev&revision=800882
Comment 3 FiNeX 2008-04-25 10:48:19 UTC
Thanks Tobias, the patch works. There is only a small usability issue: when the action (show or hide) is called, all folders are collapsed. For example if you've your home directory expanded and you choose to view the hidden folders, the directory tree will be collapsed and you've to manually go back to the previously selected folder.

I'll reopen the bug as reminder.
Comment 4 Tobias Koenig 2008-04-25 20:02:56 UTC
On Fri, Apr 25, 2008 at 08:48:20AM -0000, FiNeX wrote:
Hej,

> I'll reopen the bug as reminder.

Better open a new bug report with a matching name instead!

Ciao,
Tobias
Comment 5 FiNeX 2008-04-27 12:54:48 UTC
*** Bug has been marked as fixed ***.
Comment 6 FiNeX 2008-04-27 12:58:32 UTC
Ok. I've opened the bug #161323